From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gui-apps/waybar/
Date: Sat, 16 Mar 2024 20:33:43 +0000 (UTC) [thread overview]
Message-ID: <1710621213.83bcf53c7f37cfe1b79066f1beff3dbb9347a771.arthurzam@gentoo> (raw)
commit: 83bcf53c7f37cfe1b79066f1beff3dbb9347a771
Author: Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Sat Mar 16 19:05:05 2024 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Mar 16 20:33:33 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83bcf53c
gui-apps/waybar: add 0.10.0
Bug: https://bugs.gentoo.org/922689
Signed-off-by: Julien Roy <julien <AT> jroy.ca>
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
gui-apps/waybar/Manifest | 1 +
gui-apps/waybar/metadata.xml | 8 +--
gui-apps/waybar/waybar-0.10.0.ebuild | 102 +++++++++++++++++++++++++++++++++++
3 files changed, 107 insertions(+), 4 deletions(-)
diff --git a/gui-apps/waybar/Manifest b/gui-apps/waybar/Manifest
index a51deb8753ce..197aa202e1cf 100644
--- a/gui-apps/waybar/Manifest
+++ b/gui-apps/waybar/Manifest
@@ -1,2 +1,3 @@
+DIST waybar-0.10.0.tar.gz 297669 BLAKE2B f27a61662444cb0d91ecb5c860271939ba81813af4d005a3297f9996fab5edd54df2e4a126aa33edf9049e2d91d301a03f6352e25eb9c86ffb003b0b238e9015 SHA512 89d5ee6fb52438aadfcad8929940b2f2c4a469f7f07331fa5dff77997e1dedb6b3b020c2c2f809687993a7da2571b9f08768e92172d08bfb3d4b66db2d20d61f
DIST waybar-0.9.22.tar.gz 255896 BLAKE2B 51ad09f401a871f4b17552c85b838be950d52ebab6b2230619cfa95acbbc2f6cbc5ae1cb1228ca4207052397090f9fd4470388808cc81954b59c16f5cc25ed9e SHA512 0cd2d4fdf51528d1246da756ec1d4be5dd897208f4ec1aef5ab2d2801ab72145bcccef68fa62e55f0b1bb9913d471ce5c748de97f9d785d55c06a5f6717c9849
DIST waybar-0.9.24.tar.gz 275416 BLAKE2B 15774a78f2f7bb85d497e7f80a968b775bb42d285d0950e8e384962c6b947ea895eea2b30c0aba7ca671595ce59acd65e66cf8b67f2478ecad7564de50e4bfe6 SHA512 13177fbc2c537cd903294ab708ae46307a785c524cbdbca06abe869af1f7ccc866ce38b6fbc2b3769cd95f458c46296b4c88ee927cabe890692e78b999143f0e
diff --git a/gui-apps/waybar/metadata.xml b/gui-apps/waybar/metadata.xml
index 3d66b6c8fda4..5ec5d9be1f68 100644
--- a/gui-apps/waybar/metadata.xml
+++ b/gui-apps/waybar/metadata.xml
@@ -1,14 +1,14 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person" proxied="yes">
- <email>gentoo@jonas-toth.eu</email>
- <name>Jonas Toth</name>
- </maintainer>
<maintainer type="person" proxied="yes">
<email>julien@jroy.ca</email>
<name>Julien Roy</name>
</maintainer>
+ <maintainer type="person" proxied="yes">
+ <email>gentoo@jonas-toth.eu</email>
+ <name>Jonas Toth</name>
+ </maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
diff --git a/gui-apps/waybar/waybar-0.10.0.ebuild b/gui-apps/waybar/waybar-0.10.0.ebuild
new file mode 100644
index 000000000000..3410acbd246e
--- /dev/null
+++ b/gui-apps/waybar/waybar-0.10.0.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+DESCRIPTION="Highly customizable Wayland bar for Sway and Wlroots based compositors"
+HOMEPAGE="https://github.com/Alexays/Waybar"
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/Alexays/${PN^}.git"
+else
+ SRC_URI="https://github.com/Alexays/${PN^}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+ S="${WORKDIR}/${PN^}-${PV}"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="evdev experimental jack +libinput +logind mpd mpris network pipewire pulseaudio sndio systemd test tray +udev upower wifi"
+REQUIRED_USE="
+ mpris? ( logind )
+ upower? ( logind )
+"
+
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ >=app-text/scdoc-1.9.2
+ dev-util/gdbus-codegen
+ virtual/pkgconfig
+"
+RDEPEND="
+ dev-cpp/cairomm:0
+ dev-cpp/glibmm:2
+ dev-cpp/gtkmm:3.0
+ dev-libs/glib:2
+ dev-libs/jsoncpp:=
+ dev-libs/libinput:=
+ dev-libs/libsigc++:2
+ >=dev-libs/libfmt-8.1.1:=
+ >=dev-libs/spdlog-1.10.0:=
+ dev-libs/date:=
+ dev-libs/wayland
+ gui-libs/gtk-layer-shell
+ gui-libs/wlroots:=
+ x11-libs/gtk+:3[wayland]
+ x11-libs/libxkbcommon
+ evdev? ( dev-libs/libevdev:= )
+ jack? ( virtual/jack )
+ libinput? ( dev-libs/libinput:= )
+ logind? (
+ || ( sys-apps/systemd
+ sys-auth/elogind )
+ )
+ mpd? ( media-libs/libmpdclient )
+ mpris? ( >=media-sound/playerctl-2 )
+ network? ( dev-libs/libnl:3 )
+ pipewire? ( media-video/wireplumber:0/0.4 )
+ pulseaudio? ( media-libs/libpulse )
+ sndio? ( media-sound/sndio:= )
+ systemd? ( sys-apps/systemd:= )
+ tray? (
+ dev-libs/libdbusmenu[gtk3]
+ dev-libs/libayatana-appindicator
+ )
+ udev? ( virtual/libudev:= )
+ upower? ( sys-power/upower )
+ wifi? ( sys-apps/util-linux )
+"
+DEPEND="${RDEPEND}
+ dev-libs/wayland-protocols
+ test? ( dev-cpp/catch:0 )
+"
+
+src_configure() {
+ local emesonargs=(
+ -Dman-pages=enabled
+ -Dcava=disabled
+ $(meson_feature evdev libevdev)
+ $(meson_feature jack)
+ $(meson_feature libinput)
+ $(meson_feature logind)
+ $(meson_feature mpd)
+ $(meson_feature mpris)
+ $(meson_feature network libnl)
+ $(meson_feature pulseaudio)
+ $(meson_feature pipewire wireplumber)
+ $(meson_feature pipewire)
+ $(meson_feature sndio)
+ $(meson_feature systemd)
+ $(meson_feature test tests)
+ $(meson_feature tray dbusmenu-gtk)
+ $(meson_feature udev libudev)
+ $(meson_feature upower upower_glib)
+ $(meson_feature wifi rfkill)
+ $(meson_use experimental)
+ )
+ meson_src_configure
+}
next reply other threads:[~2024-03-16 20:33 UTC|newest]
Thread overview: 69+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-03-16 20:33 Arthur Zamarin [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-05 17:07 [gentoo-commits] repo/gentoo:master commit in: gui-apps/waybar/ Arthur Zamarin
2024-12-14 7:28 Joonas Niilola
2024-10-29 21:47 James Le Cuirot
2024-10-28 7:25 Viorel Munteanu
2024-10-28 7:25 Viorel Munteanu
2024-10-28 7:25 Viorel Munteanu
2024-10-28 7:25 Viorel Munteanu
2024-10-28 7:25 Viorel Munteanu
2024-10-17 21:37 Sam James
2024-08-16 7:28 Arthur Zamarin
2024-08-16 7:28 Arthur Zamarin
2024-08-12 12:48 Arthur Zamarin
2024-07-03 21:33 Sam James
2024-05-08 16:25 Arthur Zamarin
2024-05-08 15:46 Arthur Zamarin
2024-05-08 15:46 Arthur Zamarin
2024-05-06 7:29 Sam James
2024-03-17 8:26 Joonas Niilola
2024-03-16 20:33 Arthur Zamarin
2024-02-26 13:04 Yixun Lan
2023-12-06 6:56 Yixun Lan
2023-12-06 6:56 Yixun Lan
2023-12-06 6:56 Yixun Lan
2023-10-10 6:14 Joonas Niilola
2023-09-01 17:08 Arthur Zamarin
2023-07-07 21:57 Conrad Kostecki
2023-07-07 21:57 Conrad Kostecki
2023-05-08 9:11 Pacho Ramos
2023-05-08 9:11 Pacho Ramos
2023-04-28 6:31 Sam James
2023-04-28 6:31 Sam James
2023-04-16 0:11 Sam James
2023-04-16 0:11 Sam James
2023-02-04 22:50 Sam James
2023-02-04 22:50 Sam James
2023-02-04 22:50 Sam James
2022-12-05 14:14 Joonas Niilola
2022-07-06 19:33 Sam James
2022-06-18 8:47 Joonas Niilola
2022-06-18 8:47 Joonas Niilola
2022-05-13 20:04 Sam James
2022-01-26 1:09 Ionen Wolkens
2021-11-12 13:52 Joonas Niilola
2021-11-12 13:04 Joonas Niilola
2021-11-12 13:04 Joonas Niilola
2021-11-12 13:04 Joonas Niilola
2021-10-20 20:55 Ionen Wolkens
2021-08-19 3:26 Ionen Wolkens
2021-07-08 7:35 Joonas Niilola
2021-07-08 7:35 Joonas Niilola
2021-05-18 10:40 Joonas Niilola
2021-01-24 13:52 Sam James
2021-01-09 4:21 Sam James
2020-10-07 16:09 Sam James
2020-10-07 16:09 Sam James
2020-09-14 15:58 Sam James
2020-09-13 6:02 Sam James
2020-09-13 5:58 Sam James
2020-09-13 5:58 Sam James
2020-06-07 18:13 Aaron Bauman
2019-09-12 8:52 David Seifert
2019-09-12 8:52 David Seifert
2019-09-12 8:52 David Seifert
2019-08-29 0:34 Aaron Bauman
2019-08-29 0:34 Aaron Bauman
2019-08-12 0:52 Aaron Bauman
2019-08-12 0:52 Aaron Bauman
2019-08-12 0:52 Aaron Bauman
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1710621213.83bcf53c7f37cfe1b79066f1beff3dbb9347a771.arthurzam@gentoo \
--to=arthurzam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox